Autel Support Communities
Autel Support Communities
Welcome, Guest     Sign in
Communities > FAQ > FAQ > Important Notice about MaxiDAS DS708
Important Notice about MaxiDAS DS708

27391 Views 17 Replies Latest reply: 2022-12-12 15:07:30


  •   Level 1   
    (0) points
    elhadjifall

    2017-05-26 15:52:05 (Reply to:witsend)

     Hi 

    Can you send me your full contact I need to buy the one time update for my Autel DS708

    best regards

    Cheikh Diakhate
    email: cheikhdiakhate2000@yahoo.co.uk
    skype: cheikhdiakhate4691

  •   Level 10   
    (10965) points
    Autel Support
    2017-09-06 08:15:30 (Reply to:dasmechanic)
    Dear Customers,
    For DS708 units whose update expired after 2015-01-01, we have enabled free update license. If your update expire on 2017, no need to buy the new update, you can download new software on Update page directly.

  •   Level 1   
    (3) points
    GeorgiGalabov

    2017-10-19 18:01:13 (Reply to:Autel Support)

     Hi, mine has expired several months earlier! What should I do? How to get the update?

  •   Level 4   
    (119) points
    John Clark

    2017-10-26 15:06:38 (Reply to:GeorgiGalabov)

     No updates for anything prior to 2015.  I know someone with one that expired in October of 2014 and no updates are available.  On mine that expired in 2015 I got all the free updates just a week or so ago with no issues. 

  •   Level 1   
    (0) points
    DonH

    2019-07-13 00:19:29 (Reply to:Autel Support)

     I just purchased a new Diaglink  on Amazon and the software that was downloaded per your links is DS708.  If it was no longer supported as of Dec 31 2017, why did i get it in late June 2019. Please advise and get me the current software for my new device. I am having nothing but problems with the device and have yet to get it to work.


  •   Level 1   
    (0) points
    DonH

    2019-07-13 00:20:57 (Reply to:Autel Support)

      I just purchased a new Diaglink  on Amazon and the software that was downloaded per your links is DS708.  If it was no longer supported as of Dec 31 2017, why did i get it in late June 2019. Please advise and get me the current software for my new device. I am having nothing but problems with the device and have yet to get it to work.


  •   Level 1   
    (0) points
    vladis

    2022-11-27 00:34:54 (Reply to:Autel Support)

    Dear Autel Support Team, 

    I am not professional, but my old DS708 help me a lot with my old car. Unfortunately, my old Sprinter start make me a problems, but I can not use my MaxiDas because of software :-( Is the any chance to update Sprinter module from V3.50 to V4.20 (08/11/2015)?

    Thank you,
    Vladislav (Ukraine)


  •   Level 1   
    (0) points
    erwin blossfeld

    2022-12-12 15:07:30

     hola he comprado un autel maxisys ms906ts usado quiero cambiar la cuenta y vincular con mi cuenta nueva como puedo hacer 
2
  Total2 Pages